; merlin.i - definitions for the Merlin MMP

.module

; size of an instruction
bytesPerInstruction =   2

; local memory map
shared_ram_base =       $00200000
shared_ram_size =       1024
local_rom_base =        $20100000
local_rom_size =        2048
local_ram_base =        $20200000
local_ram_size =        2048

; instruction memory map
instruction_rom_base =  $20300000
instruction_rom_size =  (8196 * bytesPerInstruction)
instruction_ram_base =  $20400000
instruction_ram_size =  (2048 * bytesPerInstruction)

; external memory map
external_ram_base =     $40000000
external_ram_size =     (2 * 1024 * 1024)
