/* boutput.c - routines to generate binary output from merlin source */

#include <stdio.h>
#include "mparse.h"

/* OutputBinaryData - output data in binary format */
void OutputBinaryData(ScanContext *c,FILE *fp)
{
    ConstantData *d;
    MScalar value;
    for (d = c->data; d != NULL; d = d->next) {
	SetFileInfo(c,d->file,d->line,0); /* in case of an error */
	value = GetNumericValue(c,&d->value,"Invalid constant data");
        fwrite(&value,sizeof(value),1,fp);
    }
}
