(define Fbits 28)

(define (make-name i)
  (string-append "mpe" (number->string i) ".a"))

(define (setup-watch-vars)
  (watch x :Fbits Fbits :bits #f)
  (watch y :Fbits Fbits :bits #f)
  (watch z :Fbits Fbits :bits #f)
  (watch Lx :Fbits Fbits :bits #f)
  (watch Ly :Fbits Fbits :bits #f)
  (watch Lz :Fbits Fbits :bits #f)
  (watch LdotN :Fbits Fbits :bits #f)
  (watch Cx :Fbits 30 :bits #f)
  (watch Cy :Fbits 30 :bits #f)
  (watch Cz :Fbits 30 :bits #f)
  (watch Refx :Fbits 30 :bits #f)
  (watch Refy :Fbits 30 :bits #f)
  (watch Refz :Fbits 30 :bits #f)
  (watch OneMinusYsq :Fbits Fbits :bits #f)
  (watch r8 :Fbits Fbits :bits #f)
  (watch r9 :Fbits 0 :bits #f)
  (watch r10 :Fbits 0 :bits #f)
  (watch r4 :Fbits Fbits :bits #f)
  )

(dotimes (i (*default-mmp* 'mpe-count))
  (select-processor i)
  (mload (make-name i))
  (setup-watch-vars))

(define *start-tick* -1)


