/*
 *	algobj.h
 */


#define ALG_TITLE	1
#define ALG_OSC1ENV	2
#define ALG_OSC1ENVARROW 3
#define ALG_OSC1PITCH	4
#define ALG_OSC1FM	5
#define ALG_OSCBOX	6
#define ALG_OSCMAIN	7
#define ALG_OSC2PITCH	8
#define ALG_OSC2ENVARROW 9
#define ALG_OSC2ENV	10
#define ALG_DISTARROW1	11
#define ALG_DIST	12
#define ALG_DISTENVARROW 13
#define ALG_DISTENV	14

#define ALG_FILTERARROW	15
#define ALG_FILTER	16
#define ALG_FILTERENVARROW 17
#define	ALG_CORNER	18
#define	ALG_FREQ	19
#define ALG_FILTERENV	20

#define ALG_ATTNARROW	21
#define ALG_ATTN	22
#define ALG_ATTNENVARROW 23
#define ALG_ATTNENV	24

#define ALG_MIXERARROW	25
#define ALG_MIXER	26
#define ALG_MIXERENVARROW 27
#define ALG_MIXERENV	28
#define ALG_PAN		29

#define ALG_BTTNBOX	30
#define ALG_OK		31
#define ALG_CANCEL	32
#define ALG_CLEAR	33
#define ALG_EDIT	34
#define ALG_OMNI	35

#define STR_ALGTITLE	"JAZ PATCH ALGORITHM"
#define STR_ALGMOD1	"MOD. #1"
#define STR_ALGMOD2	"MOD. #2"
#define STR_ALGMOD	"MOD."
#define STR_ALGENV3LFO1	"None|Env #1|Env #2|Env #3|LFO"
#define STR_ALGENV2	"None|Env #2"
#define STR_ALGENV1	"None|Env #1"
#define STR_ALGOSCMAIN	"OSCILLATOR"
#define STR_ALGOSCPOPUP	"Interpol. smp|Non-ip smp|Cmp ip smp|Cmp non-ip smp|ROM wave|FM|Poly"
#define STR_ALGDIST	" "
#define STR_ALGDISTPOPUP "None|Distortion|Pulse Wid."
#define STR_ALGFILTER	" "
#define STR_ALGFILTERPOPUP "Filter off|Filter on"
#define STR_ALGREVERB "Normal|Delay|Reverb"
#define STR_ALGATTN	"Attenuator"
#define STR_ALGMIXER	"Mixer"
#define STR_ALGPAN	"PAN"
#define STR_ALGPITCH	"PITCH"
#define STR_ALGFM	"FM"
#define STR_ALGOK	"OK"
#define STR_ALGCANCEL	"Cancel"
#define STR_ALGCORNER	"CORNER"
#define STR_ALGFREQ	"FREQ."
#define STR_EDIT	" EDIT MODE"
#define STR_OMNI	" OMNI MODE"
#define STR_ALGCLEAR	"Clear"

#define FMSTR_LOCKPOP	"[Locked! You've to enable|editing mode first.][ OK ]"
#define FMSTR_EDITREL	"[Algorithm editing|release:][ New | Update | Cancel ]"
#define FMSTR_PWNEEDSENV "[Pulse width has to be|driven by an envelope.|Will default to #2.][ OK ]" 
#define FMSTR_FILTERNOENV "[Should filter be driven|by constant or by|envelope #2?][Const. |Env. ]"
#define FMSTR_WRNFILTERNOENV "[Warning: Filter will|only be driven by|constant if you're not|using env. #2 at all.][ OK ]"
#define FMSTR_TOOMANYMDS "[Error: Too many unit|generators found.|Maximum number is 8!][ Abort ]"
#define FMSTR_FMUSEENV2	 "[FM has to use|envelope #2.][ OK ]"
#define FMSTR_DISTUSEENV3 "[Distortion has to use|envelope #3 or an LFO.][ OK ]"
#define FMSTR_TOOMANYENVS "[All envelope/lfo slots|are already in used.][ OK ]"
#define FMSTR_MDTABNEW	"[Do you want to create a|new algorithm or change|the current one?][ Change | New ]"
#define FMSTR_NOROOMFORLFO "[Warning: There was no|room left for the LFO.][ OK ]"
#define FMSTR_FMNOFILTER "[FM does not allow|a filter.][ OK ]"

#define	POP_OSC_SAMPLER		0
#define	POP_OSC_NISAMPLER	1
#define	POP_OSC_CSAMPLER	2
#define	POP_OSC_CNISAMPLER	3
#define	POP_OSC_FIXEDWAVE	4
#define	POP_OSC_FM		5
#define	POP_OSC_POLYWAVE	6


#define POP_ENV_NONE		0
#define POP_ENV_1		1
#define POP_ENV_2		2
#define POP_ENV_3		3
#define POP_ENV_LFO		4

#define POP_FILTER_OFF		0
#define POP_FILTER_ON		1

#define POP_DIST		1
#define POP_PW			2

