/*
 *	jazobj.h
 */

#define FNT_MSTRWIDTH(x)	((WORD)(strlen(x) * FNT_MWIDTH))
#define FNT_SSTRWIDTH(x)	((WORD)(strlen(x) * FNT_SWIDTH))
#define FNT_BSTRWIDTH(x)	((WORD)(strlen(x) * FNT_BWIDTH))

 
#define MAIN_BOX		0
#define MAIN_TITLE	1
#define MAIN_BAR	2
#define MAIN_EDITPMT	3
#define	MAIN_EDITPATCHES	4
#define MAIN_LOADPRF	5
#define MAIN_SAVEPRF	6
#define MAIN_BUSHOG	7

#define JAZ_BOX		0
#define JAZ_TLBOX	1
#define JAZ_TLTEXT	2
#define JAZ_TL0		3
#define JAZ_TL100	4
#define JAZ_TLSLIDER	5
#define JAZ_PTTBOX	6
#define JAZ_FILEBAR	7
#define JAZ_PAGE	8
#define JAZ_LOAD	9
#define JAZ_SAVE	10
#define JAZ_CLOSE	11


#define PTT_BOX		0
#define	PTT_TITLE	1
#define PTT_CHANNEL	2
#define PTT_PATCH	3
#define	PTT_FRAME1	4
#define	PTT_FRAME2	5
#define PTT_START	6
#define PTT_END		7
#define PTT_OFFSET	8
#define PTT_PRIORITY	9
#define PTT_VOLUME	10
#define PTT_BAR		11
#define PTT_CHANGE	12
#define PTT_ADD		13
#define PTT_DELETE	14
#define	PTT_CANCEL	15
#define PTT_OCTAVE	16
#define PTT_HALFSTEP	17
#define PTT_FINE	18
#define PTT_TUNING	19

#define PSTAB_BOX	0
#define PSTAB_TITLE	1
#define PSTAB_PLIST	2
#define PSTAB_PBAR	3
#define PSTAB_PVIEW	4
#define PSTAB_PLOAD	5
#define PSTAB_PSAVE	6
#define PSTAB_PDELETE	7
#define PSTAB_MBAR	8
#define PSTAB_CLOSE	9





#define STR_EVENT	"Event: _________"
#define STR_VOLUME	"VOLUME"
#define STR_TIMELEFT	"TIME LEFT"
#define STR_PTT		"Patch Map Table"
#define STR_ACT		"ACT"
#define STR_PATCH	"PATCH          "
#define STR_CHANNEL	"CH."
#define STR_NOTERANGE	"NOTE RANGE "
#define STR_OFFSET	"OFFSET"
#define STR_VOL		"VOL."
#define STR_PRIORITY	"PRI."
#define STR_TUNING	"TUNING"
#define STR_LOAD	"Load"
#define STR_SAVE	"Save"
#define STR_PAGE	"Patches"

#define STR_PTTTITLE	"Patch Mapping"
#define STR_PTTCHANNEL	"CHANNEL"
#define STR_PTTPATCH	"PATCH"
#define STR_PTTNOTE	"NOTE RANGE"
#define	STR_PTTSTART	"START"
#define STR_PTTEND	"END"
#define STR_PTTOFFSET	"OFF"
#define STR_PTTPRIORITY	"PRIOR"
#define STR_PTTVOLUME	"VOL"
#define STR_PTTTUNE	"TUNE"
#define	STR_CHANGE	"Change"
#define	STR_ADD		"Add"
#define	STR_DELETE	"Delete"
#define STR_CANCEL	"Cancel"

#define STR_LOADPTT	"Load PMT"
#define STR_SAVEPTT	"Save PMT"

#define STR_LOADPRF	"Load Performance File"
#define STR_SAVEPRF	"Save Performance File"

#define	STR_PSTABTITLE	"Edit Patch"
#define	STR_PSTABPATCHES "Patches"
#define	STR_PSTABSAMPLES "Samples"
#define STR_PSTABNR	" # "
#define STR_PSTABNAME	" NAME                "
#define STR_PSTABTYPE	" TYPE            "
#define STR_PSTABACTI	" ACTIVE "
#define STR_PSTABVIEW	"Edit"
#define STR_PSTABLOAD 	"Load"
#define STR_PSTABSAVE 	"Save"
#define STR_PSTABDELETE "Delete"
#define STR_PSTABCLOSE	"Close"



/*
1234567890123456789012345
*/

#define FMSTR_LASTPTT	"[You cannot delete this|entry. Each channel has|to have at least one|translation.][ OK ]"
#define FMSTR_TOOMANYPTT	"[Cannot add this entry.|Maximum number of|entries has been|reached.][ OK ]"
#define FMSTR_SAVEPTT	"[Now saveing|%s.|Check debugger message|regarding overwriting|an exisiting file.]"
#define FMSTR_LOADPTT	"[Now loading|%s.]"
#define FMSTR_OVERLAP	"[The entry you just|created overlaps with an|exisiting one. You have|to edit the start|and/or end value.][ OK ]"
#define FMSTR_LESSTHAN	"[The start value|has to be smaller|than the end value.][ OK ]"

#define FMSTR_MULTPATCHES "[File contains more than|one patch. Do you want to|load to continue loading?][Load|Stop]"
#define FMSTR_SHORTPATCH  "[The last patch was|incomplete.][ OK ]"
#define FMSTR_NOSAMPLESLOT "[No more sample slots|available.][ OK ]"
#define FMSTR_NOSAMP "[No samples are loaded.|Will default to ROM Wave.][ OK ]"
#define FMSTR_NOMDTABSLOT "[No more Module slots|available.][ OK ]"
#define FMSTR_NOENVSLOT "[No more envelope slots|available.][ OK ]"
#define FMSTR_INCORRECTSIZE "[File size zero.][ OK ]"
#define FMSTR_OUTOFMEMORY "[Out of memory.][ OK ]"
#define FMSTR_UNDEFSYMBOL "[Undefined symbol.][ OK ]"
#define FMSTR_NODSPENVSPACE "[Out of DSP memory|for envelopes.][ OK ]"
#define FMSTR_NODSPMDTABSPACE "[Out of DSP memory|for modules.][ OK ]"
#define FMSTR_FILENOTEXIST "[File does not exist!][ OK ]"
#define FMSTR_FILEOPENERROR "[Internal file open error.][ Abort ]"
#define FMSTR_NOSECTION "[File has no|patch section.][ Abort ]"
#define FMSTR_NOTLASTSECT "[Warning: Patch section|is not the last|section.][ OK ]"
#define FMSTR_CANTDELLASTPTT "[You cannot delete the|last entry in the list.][ OK ]"
